This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169204 - system-config-display is "kind" enough to destroy my X configuration without asking
system-config-display is "kind" enough to destroy my X configuration without ...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-24 16:29 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 13:18:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-09-24 16:29:39 EDT
Description of problem:

On a laptop with an LCD panel with a "native" 1024x768 resolution
system-config-display from time to time takes on itself to bugger totally
an X configuration.  The most important change that instead of required


Section "Monitor"
....
        ModelName    "LCD Panel 1024x768"
        HorizSync    31.5 - 65.0
        VertRefresh  40.0 - 80.0
....
EndSection

it writes

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Unknown monitor"
        HorizSync    31.5 - 37.9
        VertRefresh  50.0 - 70.0
        Option      "dpms"
EndSection

and replaces in section "Screen" a line

                Modes    "1024x768" "800x600" "640x480"
with
                Modes    "800x600" "640x480"

and drops down DefaultDepth from 24 to 16.

The problem with that is that not only display looks very badly in
a simulated 800x600 but also either software or hardware obviously dislikes
that strongly and the whole thing either does not start at all or quickly
locks up without any traces anywhere.  BTW - this is "Intel 845" video
using i810 driver.

There are some other things in a category of annoyances - like setting
"Emulate3Buttons" on a mouse to "yes" instead of a correct "no".

The first time I run into that was during an upgrade of FC2 to FC4 on
that laptop.  This messed up thoroughly /etc/X11/xorg.conf, without even
leaving an old configuration in a backup, to that extent that on the first
boot after an upgrade I got only a black screen.  I thought that this
was some "misunderstanding" in anaconda.   Recently I did an upgrade of
xorg-x11 packages.  After the first reboot with new packages installed
I got something on a display but a computer locked up promptly on an attempt
of login without even finishing painting a desktop.  I found a broken xorg.conf
again but this time I had xorg.conf.backup (and burned earlier I also kept
an extra copy of something sane).

Yes, some extra sections and options associated with "Synaptics" input device
showed up in a newly created xorg.conf. Still one wonders if this is really
a good reason for destroying a presumably working configuration file.  Nothing
was ever asked if I really want to do that and try to recover from the damage
later.

Version-Release number of selected component (if applicable):
system-config-display-1.0.29-1
Comment 1 Christian Iseli 2007-01-22 06:03:43 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Michal Jaegermann 2007-01-22 13:18:02 EST
It appears that for a while xorg-X11 updates did not mess up
/etc/X11/xorg.conf too badly so at least system-config-display,
or whatever writes in this config file on occasions, got much more
careful.  AFAICT this bug can be closed. 

Note You need to log in before you can comment on or make changes to this bug.